Bug 868531 - Review Request: perl-ZMQ-LibZMQ3 - Perl wrapper for the libzmq 3.x library
Review Request: perl-ZMQ-LibZMQ3 - Perl wrapper for the libzmq 3.x library
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On: 868528
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 12:38 EDT by Jose Pedro Oliveira
Modified: 2013-06-03 06:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-01 23:17:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2012-10-20 12:38:34 EDT
Spec URL:
http://um-pe09-2.di.uminho.pt/fedora/perl-ZMQ-LibZMQ3.spec

SRPM URL:
http://um-pe09-2.di.uminho.pt/fedora/perl-ZMQ-LibZMQ3-1.01-1.fc17.src.rpm

Description:
The ZMQ::LibZMQ3 module is a wrapper of the 0MQ message passing library for
Perl. It's a thin wrapper around the C API. Please read http://zeromq.org
for more details on 0MQ.

Fedora Account System Username:
jpo
Comment 5 Petr Pisar 2013-01-21 09:40:30 EST
URL and Source0 are usable. Ok.
Source file is original (SHA-256: c336f5430b02714f70e374fb7dd45a44e13bd873f74761391b9ac7324a10814a). Ok.
Summary verified from lib/ZMQ/LibZMQ3.pm. Ok.
Description verified from lib/ZMQ/LibZMQ3.pm. Ok.
License verified from lib/ZMQ/LibZMQ3.pm. Ok.
This package contains XS code, architecture specific BuildArch is Ok.

TODO: Build-require `perl(Devel::PPPort)' (inc/Module/Install/XSUtil.pm:135).
TODO: Build-require `perl(XSLoader) >= 0.02' (lib/ZMQ/LibZMQ3.pm:5).
TODO: Build-require `perl(base)' (lib/ZMQ/LibZMQ3.pm:4).
TODO: Build-require `perl(Exporter)' (lib/ZMQ/LibZMQ3.pm:4).

FIX: Build-require `perl(threads)' (t/101_threads.t:11).

TODO: BUild-require `perl(Storable)' (t/100_basic.t:11).

TODO: Build-require and package optional `perl(Proc::Guard)' (t/rt74653.t:3).

All test pass. Ok.

$ rpmlint perl-ZMQ-LibZMQ3.spec ../SRPMS/perl-ZMQ-LibZMQ3-1.08-1.fc19.src.rpm ../RPMS/x86_64/perl-ZMQ-LibZMQ3-*
perl-ZMQ-LibZMQ3.src: W: spelling-error Summary(en_US) libzmq -> Librium
perl-ZMQ-LibZMQ3.x86_64: W: spelling-error Summary(en_US) libzmq -> Librium
3 packages and 1 specfiles checked; 0 errors, 2 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/x86_64/perl-ZMQ-LibZMQ3-1.08-1.fc19.x86_64.rpm
drwxr-xr-x    2 root    root                        0 Jan 21 15:17 /usr/lib64/perl5/vendor_perl/ZMQ
-rw-r--r--    1 root    root                    20812 Jan 19 07:18 /usr/lib64/perl5/vendor_perl/ZMQ/LibZMQ3.pm
drwxr-xr-x    2 root    root                        0 Jan 21 15:17 /usr/lib64/perl5/vendor_perl/auto/ZMQ
drwxr-xr-x    2 root    root                        0 Jan 21 15:17 /usr/lib64/perl5/vendor_perl/auto/ZMQ/LibZMQ3
-rwxr-xr-x    1 root    root                    82200 Jan 21 15:17 /usr/lib64/perl5/vendor_perl/auto/ZMQ/LibZMQ3/LibZMQ3.so
drwxr-xr-x    2 root    root                        0 Jan 21 15:18 /usr/share/doc/perl-ZMQ-LibZMQ3-1.08
-rw-r--r--    1 root    root                     4495 Jan 19 07:17 /usr/share/doc/perl-ZMQ-LibZMQ3-1.08/Changes
-rw-r--r--    1 root    root                     8411 Jan 21 15:17 /usr/share/man/man3/ZMQ::LibZMQ3.3pm.gz
File permission and layout are Ok.

$ rpm -q --requires -p ../RPMS/x86_64/perl-ZMQ-LibZMQ3-1.08-1.fc19.x86_64.rpm | sort |uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.14)(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libzmq.so.3()(64bit)
      1 perl(base)
      1 perl(Exporter)
      1 perl(:MODULE_COMPAT_5.16.2)
      1 perl(strict)
      1 perl(warnings)
      1 perl(XSLoader)
      1 perl(ZMQ::Constants)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/x86_64/perl-ZMQ-LibZMQ3-1.08-1.fc19.x86_64.rpm | sort |uniq -c
      1 perl(ZMQ::LibZMQ3) = 1.08
      1 perl-ZMQ-LibZMQ3 = 1.08-1.fc19
      1 perl-ZMQ-LibZMQ3(x86-64) = 1.08-1.fc19
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/x86_64/perl-ZMQ-LibZMQ3-1.08-1.fc19.x86_64.rpm 
Binary dependencies resolvable. Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4889342). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all `FIX' issues, consider fixing `TODO' items, and provide new spec file.
Resolution: NOT approved.
Comment 6 Jose Pedro Oliveira 2013-01-21 10:00:18 EST
New SRPM (and specfile) with the perl(threads) BR:
http://um-pe09-2.di.uminho.pt/fedora/perl-ZMQ-LibZMQ3-1.08-2.fc17.src.rpm
http://um-pe09-2.di.uminho.pt/fedora/perl-ZMQ-LibZMQ3.spec

rpmdev-diff
----------
$ rpmdev-diff perl-ZMQ-LibZMQ3-1.08-1.fc17.src.rpm perl-ZMQ-LibZMQ3-1.08-2.fc17.src.rpm
diff -r -Nup perl-ZMQ-LibZMQ3-1.08-1.fc17.x86_64/perl-ZMQ-LibZMQ3.spec perl-ZMQ-LibZMQ3-1.08-2.fc17.x86_64/perl-ZMQ-LibZMQ3.spec
--- perl-ZMQ-LibZMQ3-1.08-1.fc17.x86_64/perl-ZMQ-LibZMQ3.spec	2013-01-19 14:40:06.000000000 +0000
+++ perl-ZMQ-LibZMQ3-1.08-2.fc17.x86_64/perl-ZMQ-LibZMQ3.spec	2013-01-21 14:49:30.000000000 +0000
@@ -1,6 +1,6 @@
 Name:           perl-ZMQ-LibZMQ3
 Version:        1.08
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Perl wrapper for the libzmq 3.x library
 
 License:        GPL+ or Artistic
@@ -18,6 +18,7 @@ BuildRequires:  perl(Test::More) >= 0.98
 BuildRequires:  perl(Test::Requires)
 BuildRequires:  perl(Test::SharedFork)
 BuildRequires:  perl(Test::TCP) >= 1.08
+BuildRequires:  perl(threads)
 BuildRequires:  perl(ZMQ::Constants)
 BuildRequires:  zeromq3-devel
 
@@ -58,6 +59,9 @@ make test
 
 
 %changelog
+* Mon Jan 21 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.08-2
+- BR: perl(threads) (#868531).
+
 * Sat Jan 19 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.08-1
 - Update to version 1.08
 
----------
Comment 7 Petr Pisar 2013-01-21 10:39:37 EST
> FIX: Build-require `perl(threads)' (t/101_threads.t:11).
+BuildRequires:  perl(threads)
Ok.

/RPMS/x86_64/perl-ZMQ-LibZMQ3-*1.08-2.fc19.*
perl-ZMQ-LibZMQ3.src: W: spelling-error Summary(en_US) libzmq -> Librium
perl-ZMQ-LibZMQ3.x86_64: W: spelling-error Summary(en_US) libzmq -> Librium
3 packages and 1 specfiles checked; 0 errors, 2 warnings.
rpmlint is Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4889695). Ok.

Resolution: Package APPROVED.
Comment 8 Jose Pedro Oliveira 2013-01-21 10:42:08 EST
New Package SCM Request
=======================
Package Name: perl-ZMQ-LibZMQ3
Short Description: Perl wrapper for the libzmq 3.x library
Owners: jpo
Branches: f17 f18
InitialCC: perl-sig
Comment 9 Gwyn Ciesla 2013-01-22 09:06:17 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-01-22 12:04:43 EST
perl-ZMQ-LibZMQ3-1.08-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-ZMQ-LibZMQ3-1.08-2.fc18
Comment 11 Fedora Update System 2013-01-22 12:05:34 EST
perl-ZMQ-LibZMQ3-1.08-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-ZMQ-LibZMQ3-1.08-2.fc17
Comment 12 Jose Pedro Oliveira 2013-01-22 12:10:17 EST
Petr Pisar,

Thanks for the reviews of perl-ZMQ-Constants, perl-ZMQ-LibZMQ2 and perl-ZMQ-LibZMQ3.

/jpo
Comment 13 Fedora Update System 2013-01-23 11:03:19 EST
perl-ZMQ-LibZMQ3-1.08-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 14 Fedora Update System 2013-01-23 22:07:26 EST
perl-ZMQ-LibZMQ3-1.09-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-ZMQ-LibZMQ3-1.09-1.fc18
Comment 15 Fedora Update System 2013-01-23 22:08:22 EST
perl-ZMQ-LibZMQ3-1.09-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-ZMQ-LibZMQ3-1.09-1.fc17
Comment 16 Fedora Update System 2013-02-01 23:17:12 EST
perl-ZMQ-LibZMQ3-1.09-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-02-01 23:33:01 EST
perl-ZMQ-LibZMQ3-1.09-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Jose Pedro Oliveira 2013-05-31 16:45:06 EDT
Package Change Request
======================
Package Name: perl-ZMQ-LibZMQ3
New Branches:  el6
Owners: jpo
Comment 19 Gwyn Ciesla 2013-06-03 06:14:11 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.